package dascosa.algebra.function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 18.feb.2008
 * Time: 17:09:09
 * To change this template use File | Settings | File Templates.
 */
public final class AvgFunction extends Function
{
  public AvgFunction(String attributeName)
  {
    super(attributeName, "AVG(" + attributeName + ')');
  }

  public AvgFunction(String attributeName, String columnName)
  {
    super(attributeName, columnName);
  }

  public Object processPartialResult(Object partialResult)
  {
    Object[] objects = (Object[])partialResult;
    Double sum = (Double)objects[0];
    Double count = (Double)objects[1];
    return sum / count;
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    double sum = ((Number)tuple[attributeColumn]).doubleValue();
    double count = 1;
    if (partialResult != null) {
      Object[] objects = (Object[])partialResult;
      sum += (Double)objects[0];
      count += (Double)objects[1];
      objects[0] = sum;
      objects[1] = count;
      return objects;
    }
    return new Object[] {sum, count};
  }
}
