package dascosa.message;

import rice.p2p.commonapi.Message;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 11.jul.2008
 * Time: 13:44:46
 * To change this template use File | Settings | File Templates.
 */
public final class FragmentReceivedMsg implements Message
{
  private final String tableName;
  private final boolean success;
  private final int fragmentNr;

  public FragmentReceivedMsg(String tableName, int fragmentNr, boolean success)
  {
    this.tableName = tableName;
    this.fragmentNr = fragmentNr;
    this.success = success;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.MEDIUM_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public String toString()
  {
    return "FragmentReceived(" + tableName + ',' + fragmentNr + ',' + success + ')';
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }

  public boolean isSuccess()
  {
    return success;
  }
}
