package dascosa.message;

import rice.p2p.commonapi.Message;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 07.jan.2009
 * Time: 14:24:38
 * To change this template use File | Settings | File Templates.
 */
public final class PacketReceiptMsg implements Message
{
  private final long sourceAlgebraNodeID;

  public PacketReceiptMsg(long sourceAlgebraNodeID)
  {
    this.sourceAlgebraNodeID = sourceAlgebraNodeID;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.LOW_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public String toString()
  {
    return "PacketReceiptMsg(" + sourceAlgebraNodeID + ')';
  }

  public long getSourceAlgebraNodeID()
  {
    return sourceAlgebraNodeID;
  }
}
