package dascosa.message;

import rice.p2p.commonapi.Message;
import rice.p2p.commonapi.NodeHandle;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 23.aug.2007
 * Time: 15:18:42
 * To change this template use File | Settings | File Templates.
 */
public final class QueryCompletedMsg implements Message
{
  private final NodeHandle returnStatsTo;
  private final long algebraNodeID;

  public QueryCompletedMsg(long algebraNodeID, NodeHandle returnStatsTo)
  {
    this.algebraNodeID = algebraNodeID;
    this.returnStatsTo = returnStatsTo;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.LOW_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public String toString()
  {
    return "QueryCompleted(" + algebraNodeID + ')';
  }

  public long getAlgebraNodeID()
  {
    return algebraNodeID;
  }

  public NodeHandle getReturnStatsTo()
  {
    return returnStatsTo;
  }
}
