package dascosa.message;

import rice.p2p.commonapi.Message;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 26.aug.2007
 * Time: 14:14:44
 * To change this template use File | Settings | File Templates.
 */
public final class QueryStatsMsg implements Message
{
  private final int tuplesSent;

  public QueryStatsMsg(int tuplesSent)
  {
    this.tuplesSent = tuplesSent;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.LOW_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public String toString()
  {
    return "QueryStatsMsg(" + tuplesSent + ')';
  }

  public int getTuplesSent()
  {
    return tuplesSent;
  }
}
