package dascosa.message.flood;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 22.mar.2009
 * Time: 14:23:36
 * To change this template use File | Settings | File Templates.
 */
public final class SetPropertyRequestMsg extends AbstractFloodRequestMsg
{
  private final String property;
  private final boolean value;

  public SetPropertyRequestMsg(String property, boolean value)
  {
    this.property = property;
    this.value = value;
  }

  public String toString()
  {
    return "SetPropertyRequest(" + property + " = " + value + ')';
  }

  public String getProperty()
  {
    return property;
  }

  public boolean getValue()
  {
    return value;
  }
}
