package dascosa.message.request;

import rice.p2p.commonapi.Message;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 24.okt.2007
 * Time: 13:42:46
 * To change this template use File | Settings | File Templates.
 */
public abstract class AbstractResponseMsg implements Message
{
  private final boolean isLast;
  private final long id;

  AbstractResponseMsg(AbstractRequestMsg request)
  {
    this(request.getID(), true);
  }

  AbstractResponseMsg(AbstractRequestMsg request, boolean last)
  {
    this(request.getID(), last);
  }

  private AbstractResponseMsg(long id, boolean last)
  {
    this.id = id;
    isLast = last;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.LOW_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public long getID()
  {
    return id;
  }

  public boolean isLast()
  {
    return isLast;
  }
}
