package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 16.okt.2007
 * Time: 13:58:39
 * To change this template use File | Settings | File Templates.
 */
public final class FragmentCopyRequestMsg extends AbstractRequestMsg
{
  private final String tableName;
  private final int fragmentNr;

  public FragmentCopyRequestMsg(String tableName, int fragmentNr)
  {
    this.tableName = tableName;
    this.fragmentNr = fragmentNr;
  }

  public String toString()
  {
    return "FragmentCopyRequest(" + tableName + ',' + fragmentNr + ')';
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }
}
