package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 15.aug.2008
 * Time: 13:25:32
 * To change this template use File | Settings | File Templates.
 */
public final class FragmentSendResponseMsg extends AbstractResponseMsg
{
  private final String tableName;
  private final int fragmentNr;

  public FragmentSendResponseMsg(FragmentSendRequestMsg request)
  {
    super(request);
    tableName = request.getTableName();
    fragmentNr = request.getFragmentNr();
  }

  public String toString()
  {
    return "FragmentSendResponse(" + tableName + '_' + fragmentNr + ')';
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }
}
