package dascosa.message.request;

import rice.p2p.commonapi.Message;
import dascosa.site.query.optimizer.Histogram;

public final class HistogramResponseMessage extends AbstractResponseMsg {
	public final Histogram histogram;

	public HistogramResponseMessage(AbstractRequestMsg request, Histogram histogram) {
		super(request);
		this.histogram = histogram;
		
	}

	private static final long serialVersionUID = 1L;
	
	public int getPriority() {
        return Message.MEDIUM_PRIORITY;
    }

}
