package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 17.okt.2007
 * Time: 15:13:35
 * To change this template use File | Settings | File Templates.
 */
public final class LockRequestMsg extends AbstractRequestMsg
{
  private final String tableName;
  private final boolean lock;
  private final int fragmentNr;

  public LockRequestMsg(String tableName, int fragmentNr, boolean lock)
  {
    this.tableName = tableName;
    this.fragmentNr = fragmentNr;
    this.lock = lock;
  }

  public String toString()
  {
    return "LockRequest(" + tableName + ',' + fragmentNr + ',' + lock + ')';
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }

  public boolean isLockRequest()
  {
    return lock;
  }
}
