package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 22.okt.2007
 * Time: 16:45:47-
 * To change this template use File | Settings | File Templates.
 */
public final class LookupPKRequestMsg extends AbstractRequestMsg
{
  private final String tableName;
  private final int pkValue;

  public LookupPKRequestMsg(String tableName, int pkValue)
  {
    this.tableName = tableName;
    this.pkValue = pkValue;
  }

  public String toString()
  {
    return "LookupPKRequest(" + tableName + ',' + pkValue + ')';
  }

  public int getPkValue()
  {
    return pkValue;
  }

  public String getTableName()
  {
    return tableName;
  }
}
