package dascosa.message.restart;

import dascosa.algebra.AlgebraNode;
import rice.p2p.commonapi.Message;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 06.sep.2007
 * Time: 15:05:35
 * To change this template use File | Settings | File Templates.
 */
public final class CompleteRestartOperandMsg implements Message
{
  private final AlgebraNode algebraNode;

  public CompleteRestartOperandMsg(AlgebraNode algebraNode)
  {
    this.algebraNode = algebraNode;
  }

// --------------------- Begin Interface Message ---------------------

  public int getPriority()
  {
    return Message.LOW_PRIORITY;
  }

// --------------------- End Interface Message ---------------------

  public String toString()
  {
    return "CompleteRestartOperand(" + algebraNode + ')';
  }

  public AlgebraNode getAlgebraNode()
  {
    return algebraNode;
  }
}
