package dascosa.site.tpch.function;

import dascosa.algebra.function.Function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 24.feb.2008
 * Time: 12:15:19
 * To change this template use File | Settings | File Templates.
 */
public final class Q12Function2 extends Function
{
  public Q12Function2()
  {
    super("O_ORDERPRIORITY", "LOW_LINE_COUNT");
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    long value = 0;
    String priority = (String)tuple[attributeColumn];
    if (!priority.startsWith("1-URGENT") && !priority.startsWith("2-HIGH"))
      value = 1;
    if (partialResult != null)
      value += (Long)partialResult;
    return value;
  }
}
