package dascosa.site.tpch.project;

import dascosa.algebra.project.ProjectOperation;
import dascosa.data.Operand;

import java.util.*;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 26.feb.2008
 * Time: 14:12:05
 * To change this template use File | Settings | File Templates.
 */
public final class Q7Operation1 implements ProjectOperation
{
  private transient Calendar calendar;
  private transient int attributeColumn;

// --------------------- Begin Interface ProjectOperation ---------------------

  public Object executeOperation(Object tuple[])
  {
    calendar.setTime((Date)tuple[attributeColumn]);
    return calendar.get(Calendar.YEAR);
  }

  public String getColumnName()
  {
    return "L_YEAR";
  }

  public void init(Operand operand)
  {
    calendar = new GregorianCalendar();
    attributeColumn = operand.getColumn("L.L_SHIPDATE");
    if (attributeColumn == -1)
      System.err.println("Q7Operation1: Unable to find L.L_SHIPDATE");
  }

// --------------------- End Interface ProjectOperation ---------------------
}
