package dascosa.site.tpch.project;

import dascosa.algebra.project.ProjectOperation;
import dascosa.data.Operand;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 26.feb.2008
 * Time: 14:40:03
 * To change this template use File | Settings | File Templates.
 */
public final class Q9Operation2 implements ProjectOperation
{
  private transient int attributeColumn1;
  private transient int attributeColumn2;
  private transient int attributeColumn3;
  private transient int attributeColumn4;

// --------------------- Begin Interface ProjectOperation ---------------------

  public Object executeOperation(Object tuple[])
  {
    return ((Number)tuple[attributeColumn1]).doubleValue() * (1 - ((Number)tuple[attributeColumn2]).doubleValue()) -
           ((Number)tuple[attributeColumn3]).doubleValue() * ((Number)tuple[attributeColumn4]).doubleValue();
  }

  public String getColumnName()
  {
    return "AMOUNT";
  }

  public void init(Operand operand)
  {
    attributeColumn1 = operand.getColumn("L.L_EXTENDEDPRICE");
    if (attributeColumn1 == -1)
      System.err.println("Q9Operation2: Unable to find L.L_EXTENDEDPRICE");
    attributeColumn2 = operand.getColumn("L.L_DISCOUNT");
    if (attributeColumn2 == -1)
      System.err.println("Q9Operation2: Unable to find L.L_DISCOUNT");
    attributeColumn3 = operand.getColumn("PS.PS_SUPPLYCOST");
    if (attributeColumn3 == -1)
      System.err.println("Q9Operation2: Unable to find PS.PS_SUPPLYCOST");
    attributeColumn4 = operand.getColumn("L.L_QUANTITY");
    if (attributeColumn4 == -1)
      System.err.println("Q9Operation2: Unable to find L.L_QUANTITY");
  }

// --------------------- End Interface ProjectOperation ---------------------
}
