package dascosa.site.update;

import java.io.Serializable;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * Must implement a sensible hashCode() and equals()
 */
public interface CommitStatement extends Serializable
{
  int STATEMENT_OK_CHANGED = 1;
  int STATEMENT_OK_UNCHANGED = 2;
  int STATEMENT_FAILED = 3;

  int executeStatement(String tableName, int fragmentNr, Statement statement) throws SQLException;
}
