package dascosa.algebra.function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 18.feb.2008
 * Time: 17:06:48
 * To change this template use File | Settings | File Templates.
 */
public final class MaxFunction extends Function
{
  public MaxFunction(String attributeName)
  {
    super(attributeName, "MAX(" + attributeName + ')');
  }

  public MaxFunction(String attributeName, String columnName)
  {
    super(attributeName, columnName);
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    if (partialResult == null)
      return ((Number)tuple[attributeColumn]).doubleValue();
    else
      return Math.max((Double)partialResult, ((Number)tuple[attributeColumn]).doubleValue());
  }
}
