package dascosa.algebra.function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 18.feb.2008
 * Time: 17:08:19
 * To change this template use File | Settings | File Templates.
 */
public final class MinFunction extends Function
{
  public MinFunction(String attributeName)
  {
    super(attributeName, "MIN(" + attributeName + ')');
  }

  public MinFunction(String attributeName, String columnName)
  {
    super(attributeName, columnName);
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    if (partialResult == null)
      return ((Number)tuple[attributeColumn]).doubleValue();
    else
      return Math.min((Double)partialResult, ((Number)tuple[attributeColumn]).doubleValue());
  }
}
