package dascosa.algebra.function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 18.feb.2008
 * Time: 17:04:23
 * To change this template use File | Settings | File Templates.
 */
public final class SumFunction extends Function
{
  public SumFunction(String attributeName)
  {
    super(attributeName, "SUM(" + attributeName + ')');
  }

  public SumFunction(String attributeName, String columnName)
  {
    super(attributeName, columnName);
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    if (partialResult == null)
      return ((Number)tuple[attributeColumn]).doubleValue();
    else
      return (Double)partialResult + ((Number)tuple[attributeColumn]).doubleValue();
  }
}
