package dascosa.gui;

import dascosa.site.localdb.DatabaseListener;
import dascosa.site.localdb.TableFragment;

import javax.swing.*;

import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 23.apr.2007
 * Time: 13:08:26
 * To change this template use File | Settings | File Templates.
 */
final class DatabasePanel extends JPanel implements DatabaseListener
{
  private final DefaultListModel databaseModel = new DefaultListModel();

  DatabasePanel()
  {
    super(new BorderLayout());
//    for (TableFragment tableFragment: localFragments)
//      databaseModel.addElement(tableFragment);
    add(new JLabel("Local tables:"), BorderLayout.NORTH);
    JList databaseList = new JList(databaseModel);
    add(new JScrollPane(databaseList), BorderLayout.CENTER);
  }

// --------------------- Begin Interface DatabaseListener ---------------------

  public void localReplicateAdded(final TableFragment replicate)
  {
    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
        databaseModel.addElement(replicate);
      }
    });
  }

  public void localReplicateRemoved(final TableFragment replicate)
  {
    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
        databaseModel.removeElement(replicate);
      }
    });
  }

// --------------------- End Interface DatabaseListener ---------------------
}
