package dascosa.gui;

import dascosa.site.index.IndexListener;

import javax.swing.*;

import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 23.apr.2007
 * Time: 13:08:11
 * To change this template use File | Settings | File Templates.
 */
final class IndexPanel extends JPanel implements IndexListener
{
  private final DefaultListModel indexModel = new DefaultListModel();

  IndexPanel()
  {
    super(new BorderLayout());
    add(new JLabel("Indexed tables:"), BorderLayout.NORTH);
    JList indexList = new JList(indexModel);
    add(new JScrollPane(indexList), BorderLayout.CENTER);
  }

// --------------------- Begin Interface IndexListener ---------------------

  public void indexEntryAdded(final Object indexTable)
  {
    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
        indexModel.addElement(indexTable);
      }
    });
  }

  public void indexEntryRemoved(final Object indexTable)
  {
    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
        indexModel.removeElement(indexTable);
      }
    });
  }

// --------------------- End Interface IndexListener ---------------------
}

