/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dascosa.message;

import edu.harvard.syrah.pyxida.nc.lib.Coordinate;
import rice.p2p.commonapi.Message;
import rice.pastry.NodeHandle;

/**
 *
 * @author jan
 */
public final class PyxidaMessage implements Message{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = -4996063179443907546L;
	private final Coordinate coordinate;
    private final long age;
    private final double error;
    
    private final NodeHandle remoteSite;

    public PyxidaMessage(Coordinate coordinate, long age, double error, NodeHandle returnToSite) {
        this.coordinate = coordinate;
        this.age = age;
        this.error = error;
      remoteSite = returnToSite;
    }

    @Override
	public String toString()  {
        return "PyxidaMessage()";
    }
    
    public NodeHandle getRemoteSite() {
        return remoteSite;
    }

    public long getAge() {
        return age;
    }

    public Coordinate getCoordinate() {
        return coordinate;
    }

    public double getError() {
        return error;
    }

    public int getPriority() {
        return Message.LOW_PRIORITY;
    }
    
}
