package dascosa.message.flood;

import java.util.Arrays;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 22.nov.2007
 * Time: 13:14:26
 * To change this template use File | Settings | File Templates.
 */
public final class TableListResponseMsg extends AbstractFloodResponseMsg
{
  private final String tableNames[];

  public TableListResponseMsg(AbstractFloodRequestMsg request, String tableNames[])
  {
    super(request);
    this.tableNames = tableNames;
  }

  public String toString()
  {
    return "TableListResponse(" + Arrays.toString(tableNames) + ')';
  }

  public String[] getTableNames()
  {
    return tableNames;
  }
}
