package dascosa.message.request;

import dascosa.site.update.CommitStatement;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 07.nov.2007
 * Time: 13:31:53
 * To change this template use File | Settings | File Templates.
 */
public final class CommitRequestMsg extends AbstractRequestMsg
{
  private final CommitStatement commitStatement;
  private final boolean commit;

  public CommitRequestMsg(CommitStatement commitStatement, boolean commit)
  {
    this.commitStatement = commitStatement;
    this.commit = commit;
  }

  public String toString()
  {
    return "CommitRequest(" + commitStatement + ',' + commit + ')';
  }

  public CommitStatement getCommitStatement()
  {
    return commitStatement;
  }

  public boolean isCommit()
  {
    return commit;
  }
}
