package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 23.okt.2007
 * Time: 15:39:25
 * To change this template use File | Settings | File Templates.
 */
public final class DeleteReplicateResponseMsg extends AbstractResponseMsg
{
  private final String tableName;
  private final int fragmentNr;

  public DeleteReplicateResponseMsg(AbstractRequestMsg request, String tableName, int fragmentNr)
  {
    super(request);
    this.tableName = tableName;
    this.fragmentNr = fragmentNr;
  }

  public String toString()
  {
    return "DeleteReplicateResponse(" + tableName + ',' + fragmentNr + ')';
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }
}
