package dascosa.message.request;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 15.aug.2008
 * Time: 13:07:34
 * To change this template use File | Settings | File Templates.
 */
public final class FragmentSendRequestMsg extends AbstractRequestMsg
{
  private final String tableName;
  private final String definition;
  private final boolean isLast;
  private final byte data[];
  private final int fragmentNr;

  public FragmentSendRequestMsg(String tableName, int fragmentNr,
                                String definition, byte[] data, boolean isLast)
  {
    this.tableName = tableName;
    this.fragmentNr = fragmentNr;
    this.definition = definition;
    this.data = data;
    this.isLast = isLast;
  }

  public String toString()
  {
    return "FragmentSendRequest(" + tableName + '_' + fragmentNr + ')';
  }

  public byte[] getData()
  {
    return data;
  }

  public String getDefinition()
  {
    return definition;
  }

  public int getFragmentNr()
  {
    return fragmentNr;
  }

  public String getTableName()
  {
    return tableName;
  }

  public boolean isLast()
  {
    return isLast;
  }
}
