package dascosa.message.request;

import rice.p2p.commonapi.Message;
import rice.p2p.commonapi.NodeHandle;
import dascosa.site.query.optimizer.HistogramIdentifier;

public final class HistogramsRequestMsg extends AbstractRequestMsg {
	private static final long serialVersionUID = 1L;
	
	public final HistogramIdentifier identifier;
	public boolean requestCreation;

	public NodeHandle originatingNode;
	
	public HistogramsRequestMsg(HistogramIdentifier identifier, boolean create) {
		this.identifier = identifier;
    requestCreation = create;
	}
	public HistogramsRequestMsg(HistogramIdentifier identifier) {
		this.identifier = identifier;
    requestCreation = false;
	}
	public int getPriority() {
        return Message.MEDIUM_PRIORITY;
    }
}
