package dascosa.message.request;

import rice.p2p.commonapi.NodeHandle;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 21.nov.2007
 * Time: 14:31:13
 * To change this template use File | Settings | File Templates.
 */
public final class InsertResponseMsg extends AbstractResponseMsg
{
  private final NodeHandle masterSite;
  private final int result;

  public InsertResponseMsg(AbstractRequestMsg request, NodeHandle masterSite, int result)
  {
    super(request);
    this.masterSite = masterSite;
    this.result = result;
  }

  public String toString()
  {
    return "InsertResponse(" + masterSite + ',' + result + ')';
  }

  public NodeHandle getMasterSite()
  {
    return masterSite;
  }

  public int getResult()
  {
    return result;
  }
}
