package dascosa.message.request;

import rice.p2p.commonapi.NodeHandle;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 07.nov.2007
 * Time: 13:30:42
 * To change this template use File | Settings | File Templates.
 */
public final class StatementResponseMsg extends AbstractResponseMsg
{
  private final NodeHandle site;
  private final int result;

  public StatementResponseMsg(AbstractRequestMsg request, NodeHandle site, int result)
  {
    super(request);
    this.site = site;
    this.result = result;
  }

  public String toString()
  {
    return "StatementResponse(" + site + ',' + result + ')';
  }

  public int getResult()
  {
    return result;
  }

  public NodeHandle getSite()
  {
    return site;
  }
}
