package dascosa.site.query;

import dascosa.algebra.AlgebraNode;
import dascosa.data.FinalResult;
import dascosa.message.QueryStatsMsg;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 21.jul.2008
 * Time: 14:16:40
 * To change this template use File | Settings | File Templates.
 */
public interface QueryListener
{
  void algebraNodeCompleted(AlgebraNode algebraNode);

  void algebraNodePaused(AlgebraNode algebraNode);

  void algebraNodeReceived(AlgebraNode algebraNode);

  void algebraNodeRemoved(AlgebraNode algebraNode);

  void algebraNodeResumed(AlgebraNode algebraNode);

  void algebraNodesCleared();

  void queryCompleted(FinalResult result);

  void queryStatsReceived(QueryStatsMsg queryStatsMsg);
}
