package dascosa.site.tpch.function;

import dascosa.algebra.function.Function;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 25.feb.2008
 * Time: 13:53:06
 * To change this template use File | Settings | File Templates.
 */
public final class Q17Function2 extends Function
{
  public Q17Function2()
  {
    super("L_QUANTITY", "AVG_QUANTITY");
  }

  public Object processPartialResult(Object partialResult)
  {
    Object[] objects = (Object[])partialResult;
    Double above = (Double)objects[0];
    Long below = (Long)objects[1];
    return 0.2 * above / below;
  }

  public Object processTuple(Object partialResult, Object[] tuple)
  {
    double above = ((Number)tuple[attributeColumn]).doubleValue();
    long below = 1;
    if (partialResult != null) {
      Object[] objects = (Object[])partialResult;
      above += (Double)objects[0];
      below += (Long)objects[1];
      objects[0] = above;
      objects[1] = below;
      return objects;
    }
    return new Object[] {above, below};
  }
}
