package dascosa.site.tpch.project;

import dascosa.algebra.project.ProjectOperation;
import dascosa.data.Operand;

/**
 * Created by IntelliJ IDEA.
 * User: joh
 * Date: 26.feb.2008
 * Time: 14:26:21
 * To change this template use File | Settings | File Templates.
 */
public final class Q8Operation2 implements ProjectOperation
{
  private transient int attributeColumn1;
  private transient int attributeColumn2;

// --------------------- Begin Interface ProjectOperation ---------------------

  public Object executeOperation(Object tuple[])
  {
    return ((Number)tuple[attributeColumn1]).doubleValue() * (1 - ((Number)tuple[attributeColumn2]).doubleValue());
  }

  public String getColumnName()
  {
    return "VOLUME";
  }

  public void init(Operand operand)
  {
    attributeColumn1 = operand.getColumn("L.L_EXTENDEDPRICE");
    if (attributeColumn1 == -1)
      System.err.println("Q8Operation2: Unable to find L.L_EXTENDEDPRICE");
    attributeColumn2 = operand.getColumn("L.L_DISCOUNT");
    if (attributeColumn2 == -1)
      System.err.println("Q8Operation2: Unable to find L.L_DISCOUNT");
  }

// --------------------- End Interface ProjectOperation ---------------------
}
